
import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class SignUpButtonsRow extends StatelessWidget {
  final VoidCallback onLogin;
  final VoidCallback signUp;
  final bool isEnabled;

  const SignUpButtonsRow({
    super.key,
    required this.onLogin,
    required this.signUp,
    required this.isEnabled,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        ElevatedButton(
          onPressed: isEnabled ? signUp : null,
          child: Text(AppLocalizations.of(context)!.signup),
        ),
      ],
    );
  }
}